### Schema: StartingPrice Source: https://developer.allegro.pl/swagger.yaml The starting price for offers in auction format. ```markdown ## Schema: StartingPrice The starting price for offers in auction format. **Type:** object - **amount** (string) (required): The amount provided in a string format to avoid rounding errors. (example: "123.45") - **currency** (string (ISO 4217)) (required): The currency provided as a 3-letter code in accordance with ISO 4217 standard (https://en.wikipedia.org/wiki/ISO_4217). (example: "PLN") ``` -------------------------------- ### GET /sale/badge-applications Source: https://developer.allegro.pl/swagger.yaml Use this resource to get a list of badge applications. Read more: PL / EN. ```markdown ### Parameters - **campaign.id** (string, query, optional): Campaign ID. - **offer.id** (string, query, optional): Offer ID. - **offset** (integer, query, optional): Offset. - **limit** (integer, query, optional): The maximum number of applications returned in the response. - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Responses #### 200 - Successfully returned badge applications list. **BadgeApplications** - **badgeApplications** (array (BadgeApplication)) (required) Array items: - **id** (string) (required): Badge application ID. (example: "01234567-89ab-0123-456789ab") - **createdAt** (string) (required): Provided in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601). (example: "2011-12-03T10:15:30Z") - **updatedAt** (string) (required): Provided in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601). (example: "2011-12-03T10:15:30Z") - **campaign** (object) (required) - **id** (string) (required): Badge campaign ID. (example: "BARGAIN") - **offer** (object) (required) - **id** (string) (required): Offer ID. (example: "987654321") - **prices** (object): Required by DISCOUNT and SOURCING campaign. - **bargain** (object): Bargain price. Required by DISCOUNT and SOURCING campaign. - **amount** (string): Value must be greater than minimal, decimal places aligned with market rules. (example: "1.23") - **currency** (string): The currency provided as a 3-letter code in accordance with ISO 4217 standard (https://en.wikipedia.org/wiki/ISO_4217). Only base currency for a given marketplace is supported, example: PLN for allegro-pl, CZK for allegro-cz, EUR for allegro-sk. (example: "PLN") - **campaignStock** (object) - **quantity** (number): Stock for the campaign. (example: 10) - **process** (object) (required): Information about processing of the application. - **status** (string (REQUESTED|PROCESSED|DECLINED)) (required) (example: "PROCESSED") ("REQUESTED"|"PROCESSED"|"DECLINED") - **rejectionReasons** (array (BadgeApplicationRejectionReason)) (required): A list of rejection reasons for the badge application. Returned for process.status = DECLINED only. Array items: - **code** (string) (required): Code corresponding to the message. For more information visit the list of available codes. (example: "BB1") - **messages** (array (BadgeApplicationRejectionReasonMessage)) (required): List of messages with rejection reasons. Array items: - **text** (string) (required): Detailed message. (example: "See requirements.") - **link** (string): Optional link that redirects to page associated with rejection reason. (example: "https://allegro.pl/regulamin/pl") - **purchaseConstraints** (object): Constraints of purchase of this offer while it participates in the campaign. Optional for all campaigns types. - **limit** (object): Limits of purchase of this offer while it participates in the campaign. Only DISCOUNT and SOURCING campaigns. - **perUser** (object): Limits of purchase of this offer per user while it participates in the campaign. - **maxItems** (integer (int32)): Maximum number of items that one user can buy of this offer, while it participates in the campaign. (example: 1) #### 400 - Invalid values supplied in the query parameters. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) #### 401 - Unauthorized. **AuthError** - **error** (string) (required): Authorization error code. (example: "unauthorized") - **error_description** (string): Authorization error message. (example: "Full authentication is required to access this resource") #### 403 - The account is not a Business Account. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) ### Example Usage ```bash curl -X GET "https://api.{environment}/sale/badge-applications?campaign.id=string&offer.id=string&offset=0&limit=50" ``` ``` -------------------------------- ### GET /messaging/threads Source: https://developer.allegro.pl/swagger.yaml Use this resource to get the list of user threads sorted by last message date, starting from newest. Read more: PL / EN. ```markdown ### Parameters - **limit** (integer (int32), query, optional): The maximum number of threads returned in the response. - **offset** (integer (int64), query, optional): Index of the first returned thread from all results. - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Responses #### 200 - OK **ThreadsList** - **threads** (array (Thread)) (required) Array items: - **id** (string) (required) (example: "88ae369b-8f65-4fc4-9c77-bedf604a2e2") - **read** (boolean) (required) (example: "false") - **lastMessageDateTime** (string (date-time)) (example: "2020-08-26T12:52:04Z") - **interlocutor** (object) - **login** (string) (required) (example: "AllegroLogin") - **avatarUrl** (string) (required) (example: "https://a.allegroimg.com/original/0129e7/f15ce8924166850eec3fb82bcd5s/avatar") - **offset** (integer) (required) (example: 20) - **limit** (integer) (required) (example: 20) #### 401 - User not authorized User not authorized #### 422 - Incorrect limit or offset Incorrect limit or offset ### Example Usage ```bash curl -X GET "https://api.{environment}/messaging/threads?limit=20&offset=0" ``` ``` -------------------------------- ### POST /sale/offer-attachments Source: https://developer.allegro.pl/swagger.yaml You can attach pdf, jpeg or png files to your offers. We will present them under the offer description in the Additional information section. You can attach multiple files to one offer – one per each type from the list: * Guide (MANUAL). Allowed media types: PDF * Special offer terms (SPECIAL_OFFER_RULES). Allowed media types: PDF * Competition terms (COMPETITION_RULES). Allowed media types: PDF * Book excerpt (BOOK_EXCERPT). Allowed media types: PDF * Manual (USER_MANUAL). Allowed media types: PDF * Installation manual (INSTALLATION_INSTRUCTIONS). Allowed media types: PDF * Game manual (GAME_INSTRUCTIONS). Allowed media types: PDF * Energy label (ENERGY_LABEL). Allowed media types: JPEG, JPG, PNG * Product information sheet (PRODUCT_INFORMATION_SHEET). Allowed media types: PDF * Tire label (TIRE_LABEL). Allowed media types: JPEG, JPG, PNG * Data processing sheet - software (SOFTWARE_DATA_PROCESSING). Allowed media types: PDF * Data processing sheet - device (HARDWARE_DATA_PROCESSING). Allowed media types: PDF * Plant Protection Products (PPPs) license (PLANT_PROTECTION_PRODUCTS_AUTHORIZATION). Allowed media types: PDF You can attach up to 20 files to one product for: * Safety information manual (SAFETY_INFORMATION_MANUAL). Allowed media types: PDF, JPEG, JPG, PNG Uploading attachments flow: 1. Create an attachment object to receive an upload URL (*POST /sale/offer-attachments*), 2. Use the upload URL to submit the file (*PUT /sale/offer-attachments/{attachmentId}*), 3. Add attachments to the offer (*PATCH /sale/product-offers/{offerId}*). Read more: PL / EN. ```markdown ### Parameters - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Request Body **Content-Type:** application/vnd.allegro.public.v1+json - **type** (string (MANUAL|SPECIAL_OFFER_RULES|COMPETITION_RULES|BOOK_EXCERPT|USER_MANUAL|INSTALLATION_INSTRUCTIONS|GAME_INSTRUCTIONS|ENERGY_LABEL|PRODUCT_INFORMATION_SHEET|TIRE_LABEL|SAFETY_INFORMATION_MANUAL|SOFTWARE_DATA_PROCESSING|HARDWARE_DATA_PROCESSING|PLANT_PROTECTION_PRODUCTS_AUTHORIZATION)): offer attachment type (example: "MANUAL") ("MANUAL"|"SPECIAL_OFFER_RULES"|"COMPETITION_RULES"|"BOOK_EXCERPT"|"USER_MANUAL"|"INSTALLATION_INSTRUCTIONS"|"GAME_INSTRUCTIONS"|"ENERGY_LABEL"|"PRODUCT_INFORMATION_SHEET"|"TIRE_LABEL"|"SAFETY_INFORMATION_MANUAL"|"SOFTWARE_DATA_PROCESSING"|"HARDWARE_DATA_PROCESSING"|"PLANT_PROTECTION_PRODUCTS_AUTHORIZATION") - **file** (object) - **name** (string) (example: "abcde.pdf") ### Responses #### 201 - Attachment created successfully **OfferAttachment** - **id** (string) (example: "07ee5e36-afc7-41eb-af49-3df5354ef85") - **type** (string (MANUAL|SPECIAL_OFFER_RULES|COMPETITION_RULES|BOOK_EXCERPT|USER_MANUAL|INSTALLATION_INSTRUCTIONS|GAME_INSTRUCTIONS|ENERGY_LABEL|PRODUCT_INFORMATION_SHEET|TIRE_LABEL|SAFETY_INFORMATION_MANUAL|SOFTWARE_DATA_PROCESSING|HARDWARE_DATA_PROCESSING|PLANT_PROTECTION_PRODUCTS_AUTHORIZATION)): offer attachment type (example: "MANUAL") ("MANUAL"|"SPECIAL_OFFER_RULES"|"COMPETITION_RULES"|"BOOK_EXCERPT"|"USER_MANUAL"|"INSTALLATION_INSTRUCTIONS"|"GAME_INSTRUCTIONS"|"ENERGY_LABEL"|"PRODUCT_INFORMATION_SHEET"|"TIRE_LABEL"|"SAFETY_INFORMATION_MANUAL"|"SOFTWARE_DATA_PROCESSING"|"HARDWARE_DATA_PROCESSING"|"PLANT_PROTECTION_PRODUCTS_AUTHORIZATION") - **file** (object) - **name** (string) (example: "abcde.pdf") - **url** (string) (example: "http://upload.allegro.pl/sale/offer-attachments/e9d1bf7c-804e-4faf-9e24-b2d3aa3eda05") #### 400 - Syntactically incorrect request Syntactically incorrect request #### 401 - Invalid or missing bearer token Invalid or missing bearer token #### 415 - Unsupported media type Unsupported media type #### 422 - Unprocessable Entity Unprocessable Entity ### Example Usage ```bash curl -X POST "https://api.{environment}/sale/offer-attachments" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### GET /sale/offer-attachments/{attachmentId} Source: https://developer.allegro.pl/swagger.yaml Get details of an offer attachments, including download link, by attachment identifier ("attachmentId"). The attachment id can be retrieved by querying a particular offer, for example by using `GET /sale/product-offers/{offerId}`. Read more: PL / EN. ```markdown ### Parameters - **attachmentId** (string, path, required): The ID of the attachment. - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Responses #### 200 - Offer attachment details **OfferAttachment** - **id** (string) (example: "07ee5e36-afc7-41eb-af49-3df5354ef85") - **type** (string (MANUAL|SPECIAL_OFFER_RULES|COMPETITION_RULES|BOOK_EXCERPT|USER_MANUAL|INSTALLATION_INSTRUCTIONS|GAME_INSTRUCTIONS|ENERGY_LABEL|PRODUCT_INFORMATION_SHEET|TIRE_LABEL|SAFETY_INFORMATION_MANUAL|SOFTWARE_DATA_PROCESSING|HARDWARE_DATA_PROCESSING|PLANT_PROTECTION_PRODUCTS_AUTHORIZATION)): offer attachment type (example: "MANUAL") ("MANUAL"|"SPECIAL_OFFER_RULES"|"COMPETITION_RULES"|"BOOK_EXCERPT"|"USER_MANUAL"|"INSTALLATION_INSTRUCTIONS"|"GAME_INSTRUCTIONS"|"ENERGY_LABEL"|"PRODUCT_INFORMATION_SHEET"|"TIRE_LABEL"|"SAFETY_INFORMATION_MANUAL"|"SOFTWARE_DATA_PROCESSING"|"HARDWARE_DATA_PROCESSING"|"PLANT_PROTECTION_PRODUCTS_AUTHORIZATION") - **file** (object) - **name** (string) (example: "abcde.pdf") - **url** (string) (example: "http://upload.allegro.pl/sale/offer-attachments/e9d1bf7c-804e-4faf-9e24-b2d3aa3eda05") #### 403 - User has no access to an attachment User has no access to an attachment #### 404 - Non existing attachment Non existing attachment ### Example Usage ```bash curl -X GET "https://api.{environment}/sale/offer-attachments/{attachmentId}" ``` ``` -------------------------------- ### GET /sale/compatibility-list-suggestions Source: https://developer.allegro.pl/swagger.yaml Resource allows to fetch compatibility list suggestion for given offer or product. Read more: PL / EN. ```markdown ### Parameters - **offer.id** (string, query, optional): Offer id on the basis of which we will return the suggested compatibility list. - **product.id** (string, query, optional): Product id on the basis of which we will return the suggested compatibility list. - **language** (string, query, optional): Locale on the basis of which we will return the suggested compatibility list. For product-based suggestions if missing pl-PL will be used. For offer-based suggestions if missing offer language will be used. - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Responses #### 200 - Compatibility list suggestion returned successfully. **CompatibilityList** - **type** (string) (required): Type of the compatibility list, two values are acceptable: `MANUAL`, `PRODUCT_BASED`. (example: "MANUAL") #### 400 - Bad request. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) #### 401 - Unauthorized. **AuthError** - **error** (string) (required): Authorization error code. (example: "unauthorized") - **error_description** (string): Authorization error message. (example: "Full authentication is required to access this resource") #### 404 - Suggestion was not found. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) ### Example Usage ```bash curl -X GET "https://api.{environment}/sale/compatibility-list-suggestions?offer.id=string&product.id=string&language=string" ``` ``` -------------------------------- ### POST /sale/badges Source: https://developer.allegro.pl/swagger.yaml This resource allows you to apply for a badge. Most badges involve additional fee charged. Your badge application will be verified and you will be notified about the verification status via e-mail. You can use *Location* provided in header of the response to track your application status. Application will be removed after 30 days when status of the application was changed form PROCESSED or DECLINED. Fees will be charged in accordance with Annex No. 1 to the Daily deals zone terms and conditions. By using this resource you agree to the Daily deals zone terms and conditions or Commission discount terms and conditions. Read more: PL / EN. ```markdown ### Parameters - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Request Body **Content-Type:** application/vnd.allegro.public.v1+json - **campaign** (object) (required) - **id** (string) (required): Badge campaign ID. (example: "BARGAIN") - **offer** (object) (required) - **id** (string) (required): Offer ID. (example: "987654321") - **prices** (object): Required by DISCOUNT and SOURCING campaign. - **bargain** (object): Bargain price. Required by DISCOUNT and SOURCING campaign. - **amount** (string): Value must be greater than minimal, decimal places aligned with market rules. (example: "1.23") - **currency** (string): The currency provided as a 3-letter code in accordance with ISO 4217 standard (https://en.wikipedia.org/wiki/ISO_4217). Only base currency for a given marketplace is supported, example: PLN for allegro-pl, CZK for allegro-cz, EUR for allegro-sk. (example: "PLN") - **purchaseConstraints** (object): Constraints of purchase of this offer while it participates in the campaign. Optional for all campaigns types. - **limit** (object): Limits of purchase of this offer while it participates in the campaign. Only DISCOUNT and SOURCING campaigns. - **perUser** (object): Limits of purchase of this offer per user while it participates in the campaign. - **maxItems** (integer (int32)): Maximum number of items that one user can buy of this offer, while it participates in the campaign. (example: 1) - **declaredStock** (object): Stock declared to be reserved for the campaign. Required only for campaigns with stockReservationIsRequired property equal true. - **quantity** (number): Stock declared in particular campaign. (example: 10) ### Responses #### 202 - Successfully applied for a badge. **BadgeApplication** - **id** (string) (required): Badge application ID. (example: "01234567-89ab-0123-456789ab") - **createdAt** (string) (required): Provided in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601). (example: "2011-12-03T10:15:30Z") - **updatedAt** (string) (required): Provided in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601). (example: "2011-12-03T10:15:30Z") - **campaign** (object) (required) - **id** (string) (required): Badge campaign ID. (example: "BARGAIN") - **offer** (object) (required) - **id** (string) (required): Offer ID. (example: "987654321") - **prices** (object): Required by DISCOUNT and SOURCING campaign. - **bargain** (object): Bargain price. Required by DISCOUNT and SOURCING campaign. - **amount** (string): Value must be greater than minimal, decimal places aligned with market rules. (example: "1.23") - **currency** (string): The currency provided as a 3-letter code in accordance with ISO 4217 standard (https://en.wikipedia.org/wiki/ISO_4217). Only base currency for a given marketplace is supported, example: PLN for allegro-pl, CZK for allegro-cz, EUR for allegro-sk. (example: "PLN") - **campaignStock** (object) - **quantity** (number): Stock for the campaign. (example: 10) - **process** (object) (required): Information about processing of the application. - **status** (string (REQUESTED|PROCESSED|DECLINED)) (required) (example: "PROCESSED") ("REQUESTED"|"PROCESSED"|"DECLINED") - **rejectionReasons** (array (BadgeApplicationRejectionReason)) (required): A list of rejection reasons for the badge application. Returned for process.status = DECLINED only. Array items: - **code** (string) (required): Code corresponding to the message. For more information visit the list of available codes. (example: "BB1") - **messages** (array (BadgeApplicationRejectionReasonMessage)) (required): List of messages with rejection reasons. Array items: - **text** (string) (required): Detailed message. (example: "See requirements.") - **link** (string): Optional link that redirects to page associated with rejection reason. (example: "https://allegro.pl/regulamin/pl") - **purchaseConstraints** (object): Constraints of purchase of this offer while it participates in the campaign. Optional for all campaigns types. - **limit** (object): Limits of purchase of this offer while it participates in the campaign. Only DISCOUNT and SOURCING campaigns. - **perUser** (object): Limits of purchase of this offer per user while it participates in the campaign. - **maxItems** (integer (int32)): Maximum number of items that one user can buy of this offer, while it participates in the campaign. (example: 1) #### 400 - Syntactically incorrect request. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) #### 401 - Unauthorized **AuthError** - **error** (string) (required): Authorization error code. (example: "unauthorized") - **error_description** (string): Authorization error message. (example: "Full authentication is required to access this resource") #### 403 - The account is not a Business Account. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) #### 422 - Validation error. Invalid parameters provided in the request. **ErrorsHolder** - **errors** (array (Error)): The list of all the error objects explaining the error. Array items: - **code** (string): The error code. You can use this code when contacting us about any problems with our systems. (example: "NotAcceptableException") - **details** (string): For some cases, this field provides more details regarding the error. This field can be empty. (example: "") - **message** (string): A message directed to the developer of the program. This message will always be in English and give you some more technical details on what exactly has happened. (example: "Not acceptable representation requested. Please check 'Accept' request header") - **path** (string): This field will point to a specific field in object if the error is connected to a problem with such specific field. This field can be empty (example: "") - **userMessage** (string): The message that can be presented directly to your user. It will not contain any technical information. This message is translated based on the value of the "Accept-Language" header. By default message in English is returned. (example: "The request contains incorrect data. Contact the author of the application.") - **metadata** (object): Additional technical properties of this error. Set of possible keys depends on the specific error. (example: {"productId":"13232515"}) ### Example Usage ```bash curl -X POST "https://api.{environment}/sale/badges" \ -H "Content-Type: application/json" \ -d '{ "campaign": "value", "offer": "value", "prices": "value", "purchaseConstraints": "value", "declaredStock": "value" }' ``` ``` -------------------------------- ### GET /fulfillment/tax-id Source: https://developer.allegro.pl/swagger.yaml Use this resource to get tax identification number with verification status. After adding or updating the tax identification number the status will be NOT_VERIFIED and you will have to wait for acceptance status to start selling. Read more: PL / EN. ```markdown ### Parameters - **Accept-Language** (string (en-US|pl-PL|uk-UA|sk-SK|cs-CZ|hu-HU), header, optional): Expected language of messages. ### Responses #### 200 - Returns tax identification number with verification status information **TaxIdResponse** - **taxId** (string): User's tax identification number. (example: "5252674798") - **verificationStatus** (string): Tax identification number verification status. Only the ACCEPTED status allows you to send products to the Allegro Warehouse. (example: "ACCEPTED") #### 401 - Unauthorized Unauthorized #### 403 - Forbidden Forbidden #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.{environment}/fulfillment/tax-id" ``` ```